vmware tools 安装问题 有关内核与gcc版本问题

编译安装或者制作Deb包
回复
头像
wangbo351
帖子: 89
注册时间: 2006-08-11 0:44
送出感谢: 0
接收感谢: 0
联系:

vmware tools 安装问题 有关内核与gcc版本问题

#1

帖子 wangbo351 » 2008-09-16 17:42

今天,在vmware6 中安装ubuntu 8.04 alternate
安装好以后,要安装vmware tools
打开执行 cd vmware-tools-distrib/
sudo ./vmware-install.pl

遇到如下问题

你以前内核使用 gcc 4.2.3 编 ,现在 gcc -4.2.4 确定编译?
yes 接着就模块出错

我的解决方法2个: 要不把 gcc 4.2.4 倒退成 gcc 4.2.3
要不下载内核 全部从新编译。
倒退gcc 版本 我高不定,高人教下,从新编内核。源里找不到 2.6.24.19-generic

请指教,谢谢
Linux fans,
Research and development
头像
wangbo351
帖子: 89
注册时间: 2006-08-11 0:44
送出感谢: 0
接收感谢: 0
联系:

Re: vmware tools 安装问题 有关内核与gcc版本问题

#2

帖子 wangbo351 » 2008-09-26 21:00

安装VMWARE TOOL 就是给 kernel 作 模块 。
需要 kernel and kerner header 是相同的版本。
解决办法 2个。
1。下 相同kernel 的头文件。 uname -r 看kerner version
2. 下 kernel source code 从新 compile kernel

还有个简单办法。去 vmware 找到 他的支持文件看 当前系统是不是别支持
如果支持,直接 安装就可以。。不过还是要想同的头文件。
Linux fans,
Research and development
头像
wangbo351
帖子: 89
注册时间: 2006-08-11 0:44
送出感谢: 0
接收感谢: 0
联系:

Re: vmware tools 安装问题 有关内核与gcc版本问题

#3

帖子 wangbo351 » 2008-09-26 21:00

安装VMWARE TOOL 就是给 kernel 作 模块 。
需要 kernel and kerner header 是相同的版本。
解决办法 2个。
1。下 相同kernel 的头文件。 uname -r 看kerner version
2. 下 kernel source code 从新 compile kernel

还有个简单办法。去 vmware 找到 他的支持文件看 当前系统是不是别支持
如果支持,直接 安装就可以。。不过还是要想同的头文件。
Linux fans,
Research and development
少见多怪
帖子: 45
注册时间: 2008-10-18 19:30
送出感谢: 0
接收感谢: 0

Re: vmware tools 安装问题 有关内核与gcc版本问题

#4

帖子 少见多怪 » 2008-10-21 22:03

我只想知道去哪里下头文件,不知道楼主的问题解决了没有呢?我也是相同的问题,一直解决不了。
回复

回到 “编译或打包”